Retrieves the unavailability with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_unavailability
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
date_start

Date+Time of the beginning

date

Required

date_end

Date+Time of the end

date

Required

modified_dateutc

Date+Time of the modified

date

Required

description

Description of the unavailability

string

Max length: 255

is_approved

Indicate if this object has been approved using a User Week Approval

boolean
user_id

User owner of this unavailability

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded entity "user" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating user_unavailability

user

Optionally required : user_id, user_code or user must be provided

user_unavailability_type_id

Type of the unavailability, cf model user_unavailability_type

globally unique identifier

Required

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type_code

Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type

Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability

user_unavailability_type

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

Response Formats

application/json, text/json

Sample:
{
  "id": "91d6f82b-65b4-41e5-a17c-d12b651b798c",
  "date_start": "2026-11-15T19:21:19.684868+00:00",
  "date_end": "2026-11-15T19:21:19.684868+00:00",
  "modified_dateutc": "2026-11-15T19:21:19.684868+00:00",
  "description": "sample string 5",
  "is_approved": true,
  "user_id": "8bc191b5-666e-46e5-871d-877d6e23b5d6",
  "user_code": "sample string 8",
  "user": {
    "id": "73d1cd83-b5c8-4b96-8f42-c659ac8661cb",
    "db_language_id": "45ea4e71-52ac-4be9-9850-b1c6f98a50b1",
    "username": "sample string 3",
    "firstname": "sample string 4",
    "lastname": "sample string 5",
    "code": "sample string 6",
    "archived": true,
    "disabled": true,
    "emergency_contact": "sample string 9",
    "bankaccount": "sample string 10",
    "social_security": "sample string 11",
    "place_of_birth": "sample string 12",
    "nationality": "sample string 13",
    "functions": "sample string 14",
    "birthdate": "2026-11-15T19:21:19.684868+00:00",
    "skype": "sample string 16",
    "notes": "sample string 17",
    "sales_organization_id": "cfbd3a6e-99fe-47c7-be70-0e5cd0a13a51",
    "sales_organization": {
      "id": "ab0ee055-8f82-4109-a140-57155e23ed97",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "61cc13d2-c403-46d2-a26d-0cb74f475881",
      "db_currency_id": "e153d3d4-b569-4c9d-8dda-f181788a107c",
      "db_language_id": "b1666f1d-dd03-498e-bca4-b2f928377f86",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-15T19:21:19.684868+00:00"
    },
    "sales_organization_code": "sample string 19",
    "is_team_leader": true,
    "team_leader_user_id": "2c753ad9-84e9-4863-80d4-27780510f96c",
    "email": "sample string 22",
    "phone": "sample string 23",
    "fax": "sample string 24",
    "mobile": "sample string 25",
    "private_email": "sample string 26",
    "private_phone": "sample string 27",
    "private_fax": "sample string 28",
    "private_mobile": "sample string 29",
    "private_street": "sample string 30",
    "private_street_number": "sample string 31",
    "private_city": "sample string 32",
    "private_zip": "sample string 33",
    "private_db_country_id": "b2fddd56-31ed-4b54-be7d-53923a6414d6",
    "private_db_country_code": "sample string 35",
    "modified_dateutc": "2026-11-15T19:21:19.684868+00:00",
    "allow_hero_app": true,
    "allow_sales_app": true,
    "allow_service_app": true,
    "user_group_id": "c785e91c-e668-4b4b-8c2e-e987f4aa449c"
  },
  "user_unavailability_type_id": "96f60390-3777-46af-a761-285dc58a071a",
  "user_unavailability_type_code": "sample string 10",
  "user_unavailability_type": {
    "id": "01d6212e-6755-4db4-b47c-5540ae9d8e42",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "sales_organization_id": "f3898887-33f2-45e2-bbfb-90ed74945813",
    "sales_organization_code": "sample string 6",
    "sales_organization": {
      "id": "ab0ee055-8f82-4109-a140-57155e23ed97",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "61cc13d2-c403-46d2-a26d-0cb74f475881",
      "db_currency_id": "e153d3d4-b569-4c9d-8dda-f181788a107c",
      "db_language_id": "b1666f1d-dd03-498e-bca4-b2f928377f86",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-15T19:21:19.684868+00:00"
    },
    "modified_dateutc": "2026-11-15T19:21:19.684868+00:00"
  }
}